package redisMq

import (
	"context"
	"log"
)

type DeadLetterMailbox interface {
	Deliver(ctx context.Context, msg *MsgEntity) error
}

type DeadLetterMailboxImpl struct{}

func (d *DeadLetterMailboxImpl) Deliver(ctx context.Context, msg *MsgEntity) error {
	log.Printf("Deliver msg: %v\n", msg)
	return nil
}
