package example

import (
	"github.com/go-redis/redis/v8"
	"redisMq"
	"testing"
)

func Test_Producer(t *testing.T) {
	rdb := redis.NewClient(&redis.Options{
		Addr:     "192.168.8.1:6379",
		Password: "",
	})

	topic := "test_stream_topic"

	producer := redisMq.NewProducer(rdb, redisMq.WithMsgQueueLen(6))
	msg, err := producer.SendMsg(topic, "key1", "value1")
	if err != nil {
		t.Error(err)
	}

	t.Log(msg)
}
